<?php
namespace Teknisa\CNC\Controllers;

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Teknisa\CNC\Services;

class Cnc02000RelVendaInexisAdq extends \Zeedhi\Framework\Controller\Report {

    protected $birtStrategy;
    protected $CusteioMenuGridController;
    public function __construct(ReportService $reportService, $birtStrategy) {
        $this->birtStrategy = $birtStrategy;
        parent::__construct($reportService);
    }

    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $row['__report_name'] = 'notExistAcquireSells';
    }

    protected $reportMapping = array (
        'notExistAcquireSells' => array (
            'strategy' => 'BIRT',
            'parameterMapping' =>
              array (
                "DTVENDAINI"   => "DTVENDAINI1",
                "DTVENDAFIN"   => "DTVENDAFIN1",
                "DTVENDAINI"   => "DTVENDAINI",
                "DTVENDAFIN"   => "DTVENDAFIN",
                "VALINICIAL"   => "VRVENDAINI",
                "VALFINAL"     => "VRVENDAFIN",
                "TVALOR"       => "P_TVRVENDA",
                "CDFILIAL"     => "CDFILIAL",
                "NRORG"        => "NRORG"
              )
        )
    );

}