<?php

namespace Teknisa\CNC\Factories;

use Doctrine\ORM\EntityManager;

class Cnc02500SerieEstabelecimentoFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function findEstabelec($params){
        $sql = "SELECT NRESTABELEC, CDESTABELEC, NMESTABELEC, CDEMPRESA, CDINSCESTA, CDINSCMUNI, CDSERIE
                  FROM ESTABELECIMENTO
                 ORDER BY NRESTABELEC";     
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function getEstabelecSerie ($params) {
        $sql = "SELECT DISTINCT CDINSCESTA, CDINSCMUNI, CDSERIE, DSSERIE  
                    FROM SERIENF
                    WHERE NRORG = :NRORG  
                     AND CDINSCESTA = :CDINSCESTA  
                     AND CDINSCMUNI = :CDINSCMUNI  
                     AND CDEMPRESA = :CDEMPRESA  
                    ORDER BY CDSERIE";        
        $std = $this->connection->prepare($sql);
        
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function findSerieCadCheck ($params) {
        
        $sql = "SELECT CDESTABELEC || ' - ' || NMESTABELEC NMESTABELEC, CDINSCESTA, CDINSCMUNI, CDEMPRESA  
                    FROM ESTABELECIMENTO
                    WHERE NRORG = :NRORG 
                      AND NRESTABELEC = :NRESTABELEC";        
        $std = $this->connection->prepare($sql);
        
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function save($params){
        $sql = "UPDATE ESTABELECIMENTO
                  SET CDSERIE = :CDSERIE
                WHERE NRORG = :NRORG
                 AND CDEMPRESA = :CDEMPRESA
                 AND CDINSCESTA = :CDINSCESTA
                 AND CDINSCMUNI = :CDINSCMUNI
                 AND NRESTABELEC = :NRESTABELEC";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
    
    public function findEstabelecValid($params){
        $sql = "SELECT E.NRESTABELEC, E.CDESTABELEC, E.NMESTABELEC, E.CDEMPRESA, E.CDINSCESTA, 
E.CDINSCMUNI, E.CDSERIE, E.NRORG, S.DSSERIE 
    FROM ESTABELECIMENTO E 
          LEFT JOIN SERIENF S 
                ON E.CDSERIE = S.CDSERIE 
                AND E.CDEMPRESA= S.CDEMPRESA 
                AND E.CDINSCESTA = S.CDINSCESTA 
                AND E.CDINSCMUNI = S.CDINSCMUNI 
        WHERE E.NRORG = :NRORG
        AND E.NRESTABELEC = :NRESTABELEC        
        ORDER BY E.NMESTABELEC, E.CDESTABELEC ";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function findEstabelecSelect($params){
        $sql = "SELECT E.NRESTABELEC, E.CDESTABELEC, E.NMESTABELEC, E.CDEMPRESA, E.CDINSCESTA, 
E.CDINSCMUNI, E.CDSERIE, E.NRORG, S.DSSERIE 
    FROM ESTABELECIMENTO E 
          LEFT JOIN SERIENF S 
                ON E.CDSERIE = S.CDSERIE 
                AND E.CDEMPRESA= S.CDEMPRESA 
                AND E.CDINSCESTA = S.CDINSCESTA 
                AND E.CDINSCMUNI = S.CDINSCMUNI 
        WHERE E.NRORG = :NRORG
        AND ((INSTR(UPPER(E.CDESTABELEC || '_' || E.NMESTABELEC || '_' || S.DSSERIE), UPPER(:ALL_FIELDS)) <> 0 ) OR (:TALL_FIELDS = 'T'))
                                 
        AND ((INSTR (:NRESTABELEC, TO_CHAR(E.NRESTABELEC)) <> 0) OR ('T' = :TNRESTABELEC))        
        ORDER BY E.NRESTABELEC, E.NMESTABELEC, E.CDESTABELEC     ";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    
}
