<?php

namespace Teknisa\CNC\Services;

use Teknisa\Libs\Util\Environment;

use Teknisa\CNC\Factories\Cnc01000VendasConciliadasFactory;

class Cnc01000VendasConciliadasService {
    protected $entityManager;
    protected $environment;
    protected $factory;
    
    public function __construct (\Doctrine\ORM\EntityManager $entityManager,Environment $environment, Cnc01000VendasConciliadasFactory $factory) {
        $this->entityManager = $entityManager;
        $this->environment = $environment;
        $this->factory = $factory;
    }
    
    public function getLoteVenda($row) {
        $result = $this->factory->getLoteVenda(array(
            ':NRESTABELEC'    => $row['NRESTABELEC'],
            ':TNRESTABELEC'   => $row['TNRESTABELEC'],
            
            ':NRADQUIRENTE'   => $row['NRADQUIRENTE'],
            ':TNRADQUIRENTE'  => $row['TNRADQUIRENTE'],
            
            ':NRPRODUTOADQ'   => $row['NRPRODUTOADQ'],
            ':TNRPRODUTOADQ'  => $row['TNRPRODUTOADQ'],          
            
            ':IDCONCILIADO'   => $row['STATUSCON'],
            ':TIDCONCILIADO'  => $row['TIDCONCILIADO'],
            
            ':IDSITUACAO'     => $row['STATUSSIT'],
            ':TIDSITUACAO'    => $row['TIDSITUACAO'],
            
            ':DTLOTEINI'      => $row['DTLOTEINI'],
            ':DTLOTEFIN'      => $row['DTLOTEFIN'],

            ':CDLOTEVENDA'    => $row['CDLOTEVENDA'],

            ':CDNSU'          => $row['CDNSU'],

            ':IDFINRECEBIDO'  => $row['FINRECEBIDO'],
            ':TIDFINRECEBIDO' => $row['TIDFINRECEBIDO'],

            ':NRORG'          => $this->environment->getNrOrgTrab()
        ));
        return $result;
    }
    
    public function getParcelasVenda($row) {
        return $this->factory->getParcelasVenda(array(
            ':NRESTABELEC'      => $row['NRESTABELEC'],
            ':NRADQUIRENTE'     => $row['NRADQUIRENTE'],
            ':NRPRODUTOADQ'     => $row['NRPRODUTOADQ'],
            ':NRLOTEVENDA'      => $row['NRLOTEVENDA'],
            ':CDNSU'            => $row['CDNSU'],
            ':IDCONCILIADO'     => $row['IDCONCILIADO'],
            ':TIDCONCILIADO'    => $row['TIDCONCILIADO'],
            ':IDSITUACAO'       => $row['IDSITUACAO'],
            ':TIDSITUACAO'      => $row['TIDSITUACAO'],
            ':IDFINRECEBIDO'    => $row['IDFINRECEBIDO'],
            ':TIDFINRECEBIDO'   => $row['TIDFINRECEBIDO']
        ));
    }

    public function getDivergenceConciliator($params) {
        
        $NRRETVENDAADQ = $params[0]['value'];

        $params = array(
            ':NRRETVENDAADQ' => $NRRETVENDAADQ
        );

        $standarts = $this->factory->getDivergenceConciliator($params);
        return $standarts;
    }

    public function getPaymentConciliator($params) {

        $NRRETVENDAADQ = $params[0]['value'];

        $params = array(
            ':NRRETVENDAADQ' => $NRRETVENDAADQ
        );

        $standarts = $this->factory->getPaymentConciliator($params);
        return $standarts;
    }
    
        public function getAdjustmentConciliator($params) {

        $NRRETVENDAADQ = $params[0]['value'];

        $params = array(
            ':NRRETVENDAADQ' => $NRRETVENDAADQ
        );

        $standarts = $this->factory->getAdjustmentConciliator($params);
        return $standarts;
    }
}