<?php
/**
 * Created by PhpStorm.
 * User: felipemasseo
 * Date: 13/06/2017
 * Time: 09:31
 */

/*
 ***************************************************** PROXY ***********************************************************
 *  Definição das configurações do proxy da conexão, caso algum proxy seja necessário.                                 *
 ***********************************************************************************************************************
*/
const PROXY_HOST = "host_do_proxy";
const PROXY_PORT = "porta_do_proxy";
const PROXY_LOGIN = "login_do_proxy";
const PROXY_PASSWORD = "senha_do_proxy";

/*
 ****************************************************** URL ************************************************************
 * Definição das URLs para acessar o WS da VAN. Para cada URL existe um procedimento que deve ser chamado passando-se  *
 * os paramêtros dentro de um array de arrays.                                                                         *
 *                                                                                                                     *
 * PAGAMENTOS                                                                                                          *
 * @call  ConsultaPagamentos                                                                                           *
 * @param idEmpresa: código do tipo inteiro fornecido pela Conciliadora                                                *
 * @param senha: senha de acesso fornecido pela Conciliadora                                                           *
 * @param dataPagtoInicial: data de pagamento inicial das transações desejadas no formato DD/MM/YYYY                   *
 * @param dataPagtoFinal:  data de pagamento final das transações desejadas no formato DD/MM/YYYY                      *
 *                                                                                                                     *
 * VENDACLIENTE                                                                                                        *
 * @IMPORTANT este metódo não será chamado pois a rotina de conciliação será realizado pelo sistema da Teknisa™        *
 * @call  ConsultaVendaCliente                                                                                         *
 * @param idEmpresa: código do tipo inteiro fornecido pela Conciliadora                                                *
 * @param senha: senha de acesso fornecido pela Conciliadora                                                           *
 * @param dataVendaInicial: data de pagamento inicial das transações desejadas no formato DD/MM/YYYY                   *
 * @param dataVendaFinal:  data de pagamento final das transações desejadas no formato DD/MM/YYYY                      *
 *                                                                                                                     *
 * VENDAS                                                                                                              *
 * @call  ConsultaVenda                                                                                                *
 * @param idEmpresa: código do tipo inteiro fornecido pela Conciliadora                                                *
 * @param senha: senha de acesso fornecido pela Conciliadora                                                           *
 * @param dataVendaInicial: data de pagamento inicial das transações desejadas no formato DD/MM/YYYY                   *
 * @param dataVendaFinal:  data de pagamento final das transações desejadas no formato DD/MM/YYYY                      *
 ***********************************************************************************************************************
*/
const PAGAMENTOS = 'https://webservice.conciliadora.com.br/Services/Pagamentos.svc?singleWsdl';
const VENDACLIENTE = 'https://webservice.conciliadora.com.br/Services/VendaCliente.svc?wsdl';
const VENDAS = 'https://webservice.conciliadora.com.br/Services/Vendas.svc?wsdl';

/*
 ************************************************** ACESSO TESTE *******************************************************
 * Definição das informações de acesso ao WS para testes.                                                              *
 ***********************************************************************************************************************
*/
const ID_EMPRESA_CONC = "id_empresa";
const SENHA_CONC = "senha";

/*
 *********************************************** ACESSO AO BD TEKNISA™ **************************************************
 * Definição das informações de acesso ao BD da Teknisa™                                                                *
 ************************************************************************************************************************
 */
const USERNAME = "";
